## org.eclipse.ocl.cst.impl
Class EnumLiteralExpCSImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.cst.impl.CSTNodeImpl
                      org.eclipse.ocl.cst.impl.OCLExpressionCSImpl
                          org.eclipse.ocl.cst.impl.LiteralExpCSImpl
                              org.eclipse.ocl.cst.impl.EnumLiteralExpCSImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CSTNode, EnumLiteralExpCS, LiteralExpCS, OCLExpressionCS

    public class EnumLiteralExpCSImpl

extends LiteralExpCSImpl
implements EnumLiteralExpCS

An implementation of the model object 'Enum Literal Exp CS'.

The following features are implemented:

- `Path Name CS`
- `Simple Name CS`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected PathNameCS` `pathNameCS` The cached value of the '`Path Name CS`' containment reference
`protected SimpleNameCS` `simpleNameCS` The cached value of the '`Simple Name CS`' containment reference

Fields inherited from class org.eclipse.ocl.cst.impl.CSTNodeImpl
`ast, AST_EDEFAULT, END_OFFSET_EDEFAULT, END_TOKEN_EDEFAULT, endOffset, endToken, START_OFFSET_EDEFAULT, START_TOKEN_EDEFAULT, startOffset, startToken`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EnumLiteralExpCSImpl()`

Method Summary
`NotificationChain` `basicSetPathNameCS(PathNameCS newPathNameCS, NotificationChain msgs)`
`NotificationChain` `basicSetSimpleNameCS(SimpleNameCS newSimpleNameCS, NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`PathNameCS` `getPathNameCS()`
`SimpleNameCS` `getSimpleNameCS()`
`void` `setPathNameCS(PathNameCS newPathNameCS)`
`void` `setSimpleNameCS(SimpleNameCS newSimpleNameCS)`

Methods inherited from class org.eclipse.ocl.cst.impl.CSTNodeImpl
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### pathNameCS

    protected PathNameCS pathNameCS

  The cached value of the '`Path Name CS`' containment reference.

  See Also:
    `getPathNameCS()`

### simpleNameCS

    protected SimpleNameCS simpleNameCS

  The cached value of the '`Simple Name CS`' containment reference.

  See Also:
    `getSimpleNameCS()`

Constructor Detail

### EnumLiteralExpCSImpl

    protected EnumLiteralExpCSImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `LiteralExpCSImpl`

### getPathNameCS

    public PathNameCS getPathNameCS()

  Specified by:
    `getPathNameCS` in interface `EnumLiteralExpCS`
  Returns:
    the value of the 'Path Name CS' containment reference.
  See Also:
    `EnumLiteralExpCS.setPathNameCS(PathNameCS)`, `CSTPackage.getEnumLiteralExpCS_PathNameCS()`

### basicSetPathNameCS

    public NotificationChain basicSetPathNameCS(PathNameCS newPathNameCS,
                                                NotificationChain msgs)

### setPathNameCS

    public void setPathNameCS(PathNameCS newPathNameCS)

  Specified by:
    `setPathNameCS` in interface `EnumLiteralExpCS`
  Parameters:
    `newPathNameCS` - the new value of the 'Path Name CS' containment reference.
  See Also:
    `EnumLiteralExpCS.getPathNameCS()`

### getSimpleNameCS

    public SimpleNameCS getSimpleNameCS()

  Specified by:
    `getSimpleNameCS` in interface `EnumLiteralExpCS`
  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `EnumLiteralExpCS.setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getEnumLiteralExpCS_SimpleNameCS()`

### basicSetSimpleNameCS

    public NotificationChain basicSetSimpleNameCS(SimpleNameCS newSimpleNameCS,
                                                  NotificationChain msgs)

### setSimpleNameCS

    public void setSimpleNameCS(SimpleNameCS newSimpleNameCS)

  Specified by:
    `setSimpleNameCS` in interface `EnumLiteralExpCS`
  Parameters:
    `newSimpleNameCS` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `EnumLiteralExpCS.getSimpleNameCS()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `CSTNodeImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `CSTNodeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `CSTNodeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `CSTNodeImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.